Guida utente per l'emulatore di terminale di Gnome
Indietro | La guida utente dell'emulatore di terminale di Gnome. | Avanti

# Opzioni da riga di comando

- --background COLORE

  Viene utilizzata per specificare all'avvio il colore di sfondo del terminale. COLORE può essere espresso in qualunque forma sia riconosciuta dal vostro sistema a finestre.

- --tclass NOMECLASSE

  Specifica la classe di terminale da utilizzare all'avvio configurare il terminale.

- --command CMD, -e CMD

  Esegue il comando CMD all'avvio.

- --execute CMD ARGS, -x CMD ARGS

  Esegue il comando CMD passandogli gli argomenti ARGS all'avvio. Nessun argomento oltre questo verrà interpretato dal gnome-terminal. Questa opzione si ispira direttamente a xterm -e

- --font FONT

  Imposta il font del terminale uguale a FONT.

- --foreground COLORE

  Imposta il colore del testo del terminale uguale a COLORE.

- --geometry GEOMETRIA

  Specifica la dimensione (geometria) iniziale per questo terminale. La geometria specifica l'altezza e la larghezza desiderate espresse in numero di caratteri del terminale. Ad esempio: --geometry=80x40 creerà un terminal di ottanta colonne per quaranta righe.

- --login

  gnome-terminal avvierà la shell in modalità login (tutti i vostri script di login verranno letti e avviati in questa modalità).

- --nologin

  gnome-terminal eseguirà una semplice shell, senza avviare nessun script di login o inizializzazione.

- --noutmp

  Indica che questa e le altre shell associate non devono essere registrate nel database di sistema degli utenti collegati al computer.

- --utmp

  Indica che l'utente esplicitamente desidera che questo terminale deve essere registrato nel database di sistema degli utenti collegati al computer (il database utmp). Questa opzione viene utilizzata per default.

- --lastlog

  Crea sempre una voce nel log 'last' per ciascun terminale.

- --lastlog

  Non creare una voce nel log 'last' per ciascun terminale.

- --title TITOLO, -t TITOLO

  Permette di utilizzare TITOLO come titolo della finestra del terminale Gnome.

- --termname TERMNAME

  Utilizza TERMNAME come variabile di ambiente TERM all'interno del terminale Gnome.

- --start-factory-server

  Tenta di avviare il servizio TerminalFactory per questo terminale.

- --use-factory

  Tenta di creare una finestra terminale dal servizio TerminalFactory.

È possibile utilizzare più di una opzione alla volta. Ad esempio, su un sistema munito del browser web testuale Lynx, è possibile eseguire 'gnome-terminal --title Web --command lynx', il quale aprirà un gnome-terminal che avvia al suo interno Lynx e che ha come titolo della finestra la stringa "Web".

Indietro | Partenza | Avanti
Classi di terminali | Risali | Uso del puntatore